
# Planetary network

In this example we will use the planetary network to connect to deployed workloads, planetary network is based on yggdrasil and is the pre-decessor of the new Mycelium which will be part of our TFGrid starting with TFGrid 3.13 (end Q1 2024).


see [https://manual.grid.tf/getstarted/planetarynetwork.html](https://manual.grid.tf/getstarted/planetarynetwork.html)


install yggdrassil [https://yggdrasil-network.github.io/installation.html](https://yggdrasil-network.github.io/installation.html) on your OS

## osx example

```

sudo yggdrasil -useconf /etc/yggdrasil.conf -loglevel debug

```

## example configuration

see /etc/yggdrasil.conf

notice the list of peers as has been added to support the ThreeFold network, best to add these:

```ts
{
  # Your private key. DO NOT share this with anyone!
  PrivateKey: 978dbff757bb8d2d24af474b40130a57c3.....

  # List of connection strings for outbound peer connections in URI format,
  # e.g. tls://a.b.c.d:e or socks://a.b.c.d:e/f.g.h.i:j. These connections
  # will obey the operating system routing table, therefore you should
  # use this section when you may connect via different interfaces.
  Peers: [
    tcp://gent01.grid.tf:9943
    tcp://gent02.grid.tf:9943
    tcp://gent03.grid.tf:9943
    tcp://gent04.grid.tf:9943
    tcp://gent01.test.grid.tf:9943
    tcp://gent02.test.grid.tf:9943
    tcp://gent01.dev.grid.tf:9943
    tcp://gent02.dev.grid.tf:9943
    tcp://gw291.vienna1.greenedgecloud.com:9943
    tcp://gw293.vienna1.greenedgecloud.com:9943
    tcp://gw294.vienna1.greenedgecloud.com:9943
    tcp://gw297.vienna1.greenedgecloud.com:9943
    tcp://gw298.vienna1.greenedgecloud.com:9943
    tcp://gw299.vienna2.greenedgecloud.com:9943
    tcp://gw300.vienna2.greenedgecloud.com:9943
    tcp://gw304.vienna2.greenedgecloud.com:9943
    tcp://gw306.vienna2.greenedgecloud.com:9943
    tcp://gw307.vienna2.greenedgecloud.com:9943
    tcp://gw309.vienna2.greenedgecloud.com:9943
    tcp://gw313.vienna2.greenedgecloud.com:9943
    tcp://gw324.salzburg1.greenedgecloud.com:9943
    tcp://gw326.salzburg1.greenedgecloud.com:9943
    tcp://gw327.salzburg1.greenedgecloud.com:9943
    tcp://gw328.salzburg1.greenedgecloud.com:9943
    tcp://gw330.salzburg1.greenedgecloud.com:9943
    tcp://gw331.salzburg1.greenedgecloud.com:9943
    tcp://gw333.salzburg1.greenedgecloud.com:9943
    tcp://gw422.vienna2.greenedgecloud.com:9943
    tcp://gw423.vienna2.greenedgecloud.com:9943
    tcp://gw424.vienna2.greenedgecloud.com:9943
    tcp://gw425.vienna2.greenedgecloud.com:9943
  ]

  # List of connection strings for outbound peer connections in URI format,
  # arranged by source interface, e.g. { "eth0": [ "tls://a.b.c.d:e" ] }.
  # Note that SOCKS peerings will NOT be affected by this option and should
  # go in the "Peers" section instead.
  InterfacePeers: {}

  # Listen addresses for incoming connections. You will need to add
  # listeners in order to accept incoming peerings from non-local nodes.
  # Multicast peer discovery will work regardless of any listeners set
  # here. Each listener should be specified in URI format as above, e.g.
  # tls://0.0.0.0:0 or tls://[::]:0 to listen on all interfaces.
  Listen: []

  # Configuration for which interfaces multicast peer discovery should be
  # enabled on. Each entry in the list should be a json object which may
  # contain Regex, Beacon, Listen, and Port. Regex is a regular expression
  # which is matched against an interface name, and interfaces use the
  # first configuration that they match gainst. Beacon configures whether
  # or not the node should send link-local multicast beacons to advertise
  # their presence, while listening for incoming connections on Port.
  # Listen controls whether or not the node listens for multicast beacons
  # and opens outgoing connections.
  MulticastInterfaces: [
    {
      Regex: en.*
      Beacon: true
      Listen: true
      Port: 0
      Priority: 0
      Password: ""
    }
    {
      Regex: bridge.*
      Beacon: true
      Listen: true
      Port: 0
      Priority: 0
      Password: ""
    }
  ]

  # List of peer public keys to allow incoming peering connections
  # from. If left empty/undefined then all connections will be allowed
  # by default. This does not affect outgoing peerings, nor does it
  # affect link-local peers discovered via multicast.
  AllowedPublicKeys: []

  # Local network interface name for TUN adapter, or "auto" to select
  # an interface automatically, or "none" to run without TUN.
  IfName: auto

  # Maximum Transmission Unit (MTU) size for your local TUN interface.
  # Default is the largest supported size for your platform. The lowest
  # possible value is 1280.
  IfMTU: 65535

  # By default, nodeinfo contains some defaults including the platform,
  # architecture and Yggdrasil version. These can help when surveying
  # the network and diagnosing network routing problems. Enabling
  # nodeinfo privacy prevents this, so that only items specified in
  # "NodeInfo" are sent back if specified.
  NodeInfoPrivacy: false

  # Optional node info. This must be a { "key": "value", ... } map
  # or set as null. This is entirely optional but, if set, is visible
  # to the whole network on request.
  NodeInfo: {}
}

```